RedHat: RHSA-2022-5337:01 Moderate: go-toolset:rhel8 security and b...

Advisories

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: go-toolset:rhel8 security and bug fix update
Advisory ID:       RHSA-2022:5337-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:5337
Issue date:        2022-06-28
CVE Names:         CVE-2022-24675 CVE-2022-28327 CVE-2022-29526 
=====================================================================

1. Summary:

An update for the go-toolset:rhel8 module is now available for Red Hat
Enterprise Linux 8.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AppStream (v. 8) - aarch64, noarch, ppc64le, s390x, x86_64

3. Description:

Go Toolset provides the Go programming language tools and libraries. Go is
alternatively known as golang.

Security Fix(es):

* golang: encoding/pem: fix stack overflow in Decode (CVE-2022-24675)

* golang: crypto/elliptic: panic caused by oversized scalar
(CVE-2022-28327)

* golang: syscall: faccessat checks wrong group (CVE-2022-29526)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

Bug Fix(es):

* Update to Go 1.17.10 (BZ#2091077)

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2077688 - CVE-2022-24675 golang: encoding/pem: fix stack overflow in Decode
2077689 - CVE-2022-28327 golang: crypto/elliptic: panic caused by oversized scalar
2084085 - CVE-2022-29526 golang: syscall: faccessat checks wrong group

6. Package List:

Red Hat Enterprise Linux AppStream (v. 8):

Source:
delve-1.7.2-1.module+el8.6.0+12972+ebab5911.src.rpm
go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.src.rpm
golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.src.rpm

aarch64:
go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.aarch64.rpm
golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.aarch64.rpm
golang-bin-1.17.10-1.module+el8.6.0+15486+6d4da7db.aarch64.rpm

noarch:
golang-docs-1.17.10-1.module+el8.6.0+15486+6d4da7db.noarch.rpm
golang-misc-1.17.10-1.module+el8.6.0+15486+6d4da7db.noarch.rpm
golang-src-1.17.10-1.module+el8.6.0+15486+6d4da7db.noarch.rpm
golang-tests-1.17.10-1.module+el8.6.0+15486+6d4da7db.noarch.rpm

ppc64le:
go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.ppc64le.rpm
golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.ppc64le.rpm
golang-bin-1.17.10-1.module+el8.6.0+15486+6d4da7db.ppc64le.rpm

s390x:
go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.s390x.rpm
golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.s390x.rpm
golang-bin-1.17.10-1.module+el8.6.0+15486+6d4da7db.s390x.rpm

x86_64:
delve-1.7.2-1.module+el8.6.0+12972+ebab5911.x86_64.rpm
delve-debuginfo-1.7.2-1.module+el8.6.0+12972+ebab5911.x86_64.rpm
delve-debugsource-1.7.2-1.module+el8.6.0+12972+ebab5911.x86_64.rpm
go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.x86_64.rpm
golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.x86_64.rpm
golang-bin-1.17.10-1.module+el8.6.0+15486+6d4da7db.x86_64.rpm
golang-race-1.17.10-1.module+el8.6.0+15486+6d4da7db.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-24675
https://access.redhat.com/security/cve/CVE-2022-28327
https://access.redhat.com/security/cve/CVE-2022-29526
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYr5BetzjgjWX9erEAQj2ShAAgrj+o7yzqx516ZqTr6aplPpDcz2SsU6o
vb5Fg5wAVp+RYXeyZpq6otUTFI07e3lC9t+LCxm81hqstuyWutFBk1cuSk1qr1CC
Unxqtk0ew91EE6m3lmxIyJG+QR1TK9g1VR/TZ7ZfxnAbuODaz8xPteMjBUYNvtTu
HiR/LImx80qCEoVrU79mb9mAEf1W9GnQrnlEn73d6KvtIABLHwKGd4jP3bviV2vr
6KUF4zWReMy/svPcz05hp3tj8EIWnt1Q25PONfLGNGEH0FzhgrIR531HD8z4q0PB
dl2HB/1eF/9ZQmuQ+r0s5a9QrIPLSLaFHjXiE+I6R9OCHJPfS89ikUZED4Ut4Ay+
1LrK03PEVrpZil4X1Mb4ZhX2Ve13QFPZXx9vXM2AluEa5RtMzXkUtpt8MkADLVJs
dX0tDdjJ56xcq9Si2Xfn1qE1qnKPLRKnHku+WSVZe6LL+9EAPdQB7XTbXX6o6bj/
mZ+WNCfOnoCGOdsCXfsWV9Vk8EbqbaRdz/aVZdEfWatHpwyVZ3sd2LcuSMUGF50b
gmIu3o8m4EmPI+FWEqhALrUriJ+2/5djVtpvxJRkqVIKl6fwGRmhd2WVDeUPmoHz
3Ox7/JdTGkzXZMcC9G+EoWKS+ghYoQh8gV0kTLQBiOLhfNMMdXHTP2YaGfbiQPWn
DspedBt2DXw=
=5I16
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-5337:01 Moderate: go-toolset:rhel8 security and bug fix

An update for the go-toolset:rhel8 module is now available for Red Hat Enterprise Linux 8

Summary

Go Toolset provides the Go programming language tools and libraries. Go is alternatively known as golang.
Security Fix(es):
* golang: encoding/pem: fix stack overflow in Decode (CVE-2022-24675)
* golang: crypto/elliptic: panic caused by oversized scalar (CVE-2022-28327)
* golang: syscall: faccessat checks wrong group (CVE-2022-29526)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Bug Fix(es):
* Update to Go 1.17.10 (BZ#2091077)

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2022-24675 https://access.redhat.com/security/cve/CVE-2022-28327 https://access.redhat.com/security/cve/CVE-2022-29526 https://access.redhat.com/security/updates/classification/#moderate

Package List

Red Hat Enterprise Linux AppStream (v. 8):
Source: delve-1.7.2-1.module+el8.6.0+12972+ebab5911.src.rpm go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.src.rpm golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.src.rpm
aarch64: go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.aarch64.rpm golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.aarch64.rpm golang-bin-1.17.10-1.module+el8.6.0+15486+6d4da7db.aarch64.rpm
noarch: golang-docs-1.17.10-1.module+el8.6.0+15486+6d4da7db.noarch.rpm golang-misc-1.17.10-1.module+el8.6.0+15486+6d4da7db.noarch.rpm golang-src-1.17.10-1.module+el8.6.0+15486+6d4da7db.noarch.rpm golang-tests-1.17.10-1.module+el8.6.0+15486+6d4da7db.noarch.rpm
ppc64le: go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.ppc64le.rpm golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.ppc64le.rpm golang-bin-1.17.10-1.module+el8.6.0+15486+6d4da7db.ppc64le.rpm
s390x: go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.s390x.rpm golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.s390x.rpm golang-bin-1.17.10-1.module+el8.6.0+15486+6d4da7db.s390x.rpm
x86_64: delve-1.7.2-1.module+el8.6.0+12972+ebab5911.x86_64.rpm delve-debuginfo-1.7.2-1.module+el8.6.0+12972+ebab5911.x86_64.rpm delve-debugsource-1.7.2-1.module+el8.6.0+12972+ebab5911.x86_64.rpm go-toolset-1.17.10-1.module+el8.6.0+15486+6d4da7db.x86_64.rpm golang-1.17.10-1.module+el8.6.0+15486+6d4da7db.x86_64.rpm golang-bin-1.17.10-1.module+el8.6.0+15486+6d4da7db.x86_64.rpm golang-race-1.17.10-1.module+el8.6.0+15486+6d4da7db.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:5337-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2022:5337
Issued Date: : 2022-06-28
CVE Names: CVE-2022-24675 CVE-2022-28327 CVE-2022-29526

Topic

An update for the go-toolset:rhel8 module is now available for Red HatEnterprise Linux 8.Red Hat Product Security has rated this update as having a security impactof Moderate. A Common Vulnerability Scoring System (CVSS) base score, whichgives a detailed severity rating, is available for each vulnerability fromthe CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux AppStream (v. 8) - aarch64, noarch, ppc64le, s390x, x86_64

Bugs Fixed

2077688 - CVE-2022-24675 golang: encoding/pem: fix stack overflow in Decode

2077689 - CVE-2022-28327 golang: crypto/elliptic: panic caused by oversized scalar

2084085 - CVE-2022-29526 golang: syscall: faccessat checks wrong group

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.